## wayland-tracer 0.4

=== meson_options.txt ===
option('man-pages', type: 'feature', value: 'auto', description: 'Generate and install man pages')
option('perfetto', type: 'feature', value: 'auto', description: 'Enable perfetto tracing')

=== perfetto/examples/sdk/CMakeLists.txt ===
# Copyright (C) 2020 The Android Open Source Project
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#      http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

cmake_minimum_required(VERSION 3.13)
project(perfetto-sdk-example)

set(CMAKE_CXX_STANDARD 11)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

find_package(Threads)

# Define a static library for Perfetto. In this example, we expect the SDK
# (perfetto.cc and perfetto.h) to live in the top level sdk/ directory.
include_directories(../../sdk)
add_library(perfetto STATIC ../../sdk/perfetto.cc)

# Link the library to the main executables.
add_executable(example example.cc trace_categories.cc)
add_executable(example_system_wide example_system_wide.cc
               trace_categories.cc)
add_executable(example_custom_data_source example_custom_data_source.cc)
add_executable(example_console example_console.cc trace_categories.cc)
add_executable(example_startup_trace example_startup_trace.cc)

target_link_libraries(example perfetto
                      ${CMAKE_THREAD_LIBS_INIT})
target_link_libraries(example_system_wide perfetto
                      ${CMAKE_THREAD_LIBS_INIT})
target_link_libraries(example_custom_data_source perfetto
                      ${CMAKE_THREAD_LIBS_INIT})
target_link_libraries(example_console perfetto
                      ${CMAKE_THREAD_LIBS_INIT})
target_link_libraries(example_startup_trace perfetto
                      ${CMAKE_THREAD_LIBS_INIT})

# On Android we also need the logging library.
if (ANDROID)
  target_link_libraries(example log)
  target_link_libraries(example_system_wide log)
  target_link_libraries(example_custom_data_source log)
  target_link_libraries(example_console log)
  target_link_libraries(example_startup_trace log)
endif (ANDROID)

if (WIN32)
  # The perfetto library contains many symbols, so it needs the big object
  # format.
  target_compile_options(perfetto PRIVATE "/bigobj")
  # Disable legacy features in windows.h.
  add_definitions(-DWIN32_LEAN_AND_MEAN -DNOMINMAX)
  # On Windows we should link to WinSock2.
  target_link_libraries(example ws2_32)
  target_link_libraries(example_system_wide ws2_32)
  target_link_libraries(example_custom_data_source ws2_32)
  target_link_libraries(example_console ws2_32)
  target_link_libraries(example_startup_trace ws2_32)
endif (WIN32)

# Enable standards-compliant mode when using the Visual Studio compiler.
if (MSVC)
  target_compile_options(example PRIVATE "/permissive-")
  target_compile_options(example_system_wide PRIVATE "/permissive-")
  target_compile_options(example_custom_data_source PRIVATE "/permissive-")
  target_compile_options(example_console PRIVATE "/permissive-")
  target_compile_options(example_startup_trace PRIVATE "/permissive-")
endif (MSVC)

=== perfetto/infra/ci/controller/Makefile ===
# Copyright (C) 2019 The Android Open Source Project
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#      http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.


include $(shell python3 ../config.py makefile)

test: lib/.stamp config.py common_utils.py
	GOOGLE_APPLICATION_CREDENTIALS=../test-credentials.json \
		python3 `which dev_appserver.py` app.yaml --dev_appserver_log_level ${LOGLEVEL}

deploy: lib/.stamp config.py common_utils.py
	gcloud app deploy -q app.yaml queue.yaml cron.yaml \
		--project ${PROJECT} \
		-v ${GAE_VERSION} \
		--stop-previous-version

stop:
		gcloud app instances delete \
		$(shell gcloud app instances list --project ${PROJECT} -v ${GAE_VERSION} -s default | tail -n1 | awk '{print $$3}') \
		--project ${PROJECT} -v ${GAE_VERSION} -s default -q

lib/.stamp:
	echo "If this fails run `sudo apt install python-pip`"
	python2.7 -m pip install -t lib/ rsa==4.0 oauth2client==4.1.3 httplib2==0.20.4
	touch $@

config.py: ../config.py
	cp ../$@ $@

common_utils.py: ../common_utils.py
	cp ../$@ $@

.PHONY: deploy test

=== perfetto/infra/ci/frontend/Makefile ===
# Copyright (C) 2019 The Android Open Source Project
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#      http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.


include $(shell python3 ../config.py makefile)

SHASUM=shasum

test: LOGLEVEL=info
test: static_3p config.py common_utils.py static/config.js
	python3 `which dev_appserver.py` app.yaml --dev_appserver_log_level ${LOGLEVEL}

deploy: static_3p config.py common_utils.py static/config.js
	gcloud app deploy -q app.yaml \
		--project ${PROJECT} \
		-v ${GAE_VERSION} \
		--stop-previous-version

config.py: ../config.py
	cp ../$@ $@

common_utils.py: ../common_utils.py
	cp ../$@ $@

static/config.js: ../config.py
	../config.py js > $@

static/third_party/xterm-4.11.0.min.css:
	curl -Sso $@ https://unpkg.com/xterm@4.11.0/css/xterm.css
	echo "4cee0ccb82803888905fefc8641f0613c0a9081b  $@" | ${SHASUM} -c || rm $@

static/third_party/xterm-4.11.0.min.js:
	curl -Sso $@ https://unpkg.com/xterm@4.11.0/lib/xterm.js
	echo "470644a5cd3e2a443a422c6ecddc85b37a85f329  $@" | ${SHASUM} -c || rm $@

static/third_party/xterm-0.8.0-addon-search.min.js:
	curl -Sso $@ https://unpkg.com/xterm-addon-search@0.8.0/lib/xterm-addon-search.js
	echo "1eae1371cc07677c38f9d01eae4d6a3b996388f8  $@" | ${SHASUM} -c || rm $@

static/third_party/xterm-0.5.0-addon-fit.min.js:
	curl -Sso $@ https://unpkg.com/xterm-addon-fit@0.5.0/lib/xterm-addon-fit.js
	echo "4c8942910554242336443126e349ac1e3897a64e  $@" | ${SHASUM} -c || rm $@

static/third_party/mithril-1.1.6.min.js:
	curl -Sso $@ https://cdnjs.cloudflare.com/ajax/libs/mithril/1.1.6/mithril.min.js
	echo "a204c02ee15c347cf368c3481bdea967b443c8d0  $@" | ${SHASUM} -c || rm $@

static_3p: static/third_party/mithril-1.1.6.min.js static/third_party/xterm-4.11.0.min.css static/third_party/xterm-4.11.0.min.js static/third_party/xterm-0.8.0-addon-search.min.js static/third_party/xterm-0.5.0-addon-fit.min.js

.PHONY: test deploy static_3p

=== perfetto/infra/ui.perfetto.dev/appengine/requirements.txt ===
Flask==1.1.2
requests

=== debian/changelog ===
wayland-tracer (0.4-1) bookworm; urgency=medium

  * Add colorised output

 -- David Turner <david.turner@raspberrypi.com>  Thu, 05 Jun 2025 13:57:59 +0100

wayland-tracer (0.3-1) bookworm; urgency=medium

  * Static link against libpercetto/libperfetto
  * Modify debian install script to exclude subprojects

 -- David Turner <david.turner@raspberrypi.com>  Wed, 19 Mar 2025 11:35:27 +0000

wayland-tracer (0.2-1) bookworm; urgency=medium

  * Initial release
  * Forked from https://github.com/dboyan/wayland-tracer
  * Fix some bugs
  * Add -D option to auto-load all protocols
  * Replace autotools with meson, rewrite man page in scdoc
  * Add optional perfetto tracing of wayland protocol messages

 -- David Turner <david.turner@raspberrypi.com>  Thu, 19 Dec 2024 14:46:25 +0000

=== debian/control ===
Source: wayland-tracer
Maintainer: David Turner <david.turner@raspberrypi.com>
Section: devel
Priority: optional
Standards-Version: 4.6.2
Build-Depends:
 debhelper-compat (= 13),
 pkg-config,
 libexpat1-dev,
 meson (>= 0.59),
 scdoc

Package: wayland-tracer
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, wayland-protocols, libwayland-dev
Description: Protocol dumper for Wayland
 wayland-tracer is a protocol dumper for Wayland. It can be used to
 trace what's on the wire between the compositor and client, which can
 be useful for debugging and is superior to WAYLAND_DEBUG in some
 aspects. It can dump raw binary data or interpret data to readable
 format if XML protocol definitions are provided.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -Dperfetto=enabled

override_dh_auto_install:
	meson install -C "obj-${DEB_BUILD_GNU_TYPE}" --skip-subprojects \
		--destdir ../debian/wayland-tracer
